Skip to main content
POST
/
api
/
v1
/
cert-manager
/
applications
/
{applicationId}
/
profiles
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/cert-manager/applications/{applicationId}/profiles \
  --header 'Content-Type: application/json' \
  --data '
{
  "profileIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
'
{
  "profiles": [
    {
      "applicationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "profileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "profileSlug": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "profileDescription": "<string>",
      "estConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "apiConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "acmeConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "scepConfigId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Path Parameters

applicationId
string<uuid>
required

Body

application/json
profileIds
string<uuid>[]
required
Minimum array length: 1

Response

Default Response

profiles
object[]
required